Debian Bug report logs - #53811
slrn minor y2k error message

version graph

Package: slrn; Maintainer for slrn is Moritz Muehlenhoff <jmm@debian.org>; Source for slrn is src:slrn.

Reported by: jimrutledge@earthlink.net

Date: Sat, 1 Jan 2000 05:03:01 UTC

Severity: normal

Found in version 0.9.5.3-4

Fixed in version slrn/0.9.6.2-8

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Forwarded to davis@space.mit.edu

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#53811; Package slrn. Full text and rfc822 format available.

Acknowledgement sent to jimrutledge@earthlink.net:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jimrutledge@earthlink.net
To: submit@bugs.debian.org
Subject: slrn minor y2k error message
Date: Fri, 31 Dec 1999 22:02:46 -0700
Package: slrn
Version: 0.9.5.3-4

I am running debian 2.1 with security and y2k updates received over the
net from www.debian.org.

There is an error message that started appearing when using slrn version
0.9.5.3-4 after year 2000 started in GMT.  My system hardware clock is
set to UTC.

---------------
Start up messages begin as follows:

Reading startup file /etc/news/slrn.rc.
Reading startup file /home/xxxx/.slrnrc.
Connecting to host xxxx.xxxx.xxxx ...
Authenticating userxxxx ...
Connected to host.  Posting Ok.
Checking for new groups ...
.jnewsrc.time appears corrupt.
I expected to see see: NEWGROUPS yymmdd hhmmss GMT
I will patch the file up for you.

Checking news ...
...

---------------
Content of .jnewsrc.time is as follows:

NEWGROUPS 1000101 042908 GMT
---------------

The error message is temporarily removed if the string "100" in the "yy"
position is edited to be "00", but _after_ the next time slrn is used, the
string "100" reappears giving the same error message upon starting slrn.

Thank you for your efforts on behalf of free software.

-Jim


Reply sent to Joey Hess <joey@kitenet.net>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 53811-forwarded@bugs.debian.org (full text, mbox):

From: Joey Hess <joey@kitenet.net>
To: davis@space.mit.edu
Cc: 53811-forwarded@bugs.debian.org
Subject: FWD: Bug#53811: slrn minor y2k error message
Date: Fri, 31 Dec 1999 21:38:58 -0800
Figured I should forward this bug to you ASAP. I really don't know if this
is a slrn problem or if his news server is misbehaving..

----- Forwarded message from jimrutledge@earthlink.net -----

Subject: Bug#53811: slrn minor y2k error message
From: jimrutledge@earthlink.net
Date: Fri, 31 Dec 1999 22:02:46 -0700
To: submit@bugs.debian.org
X-Mailer: Mutt 1.0i

Package: slrn
Version: 0.9.5.3-4

I am running debian 2.1 with security and y2k updates received over the
net from www.debian.org.

There is an error message that started appearing when using slrn version
0.9.5.3-4 after year 2000 started in GMT.  My system hardware clock is
set to UTC.

---------------
Start up messages begin as follows:

Reading startup file /etc/news/slrn.rc.
Reading startup file /home/xxxx/.slrnrc.
Connecting to host xxxx.xxxx.xxxx ...
Authenticating userxxxx ...
Connected to host.  Posting Ok.
Checking for new groups ...
.jnewsrc.time appears corrupt.
I expected to see see: NEWGROUPS yymmdd hhmmss GMT
I will patch the file up for you.

Checking news ...
...

---------------
Content of .jnewsrc.time is as follows:

NEWGROUPS 1000101 042908 GMT
---------------

The error message is temporarily removed if the string "100" in the "yy"
position is edited to be "00", but _after_ the next time slrn is used, the
string "100" reappears giving the same error message upon starting slrn.

Thank you for your efforts on behalf of free software.

-Jim

----- End forwarded message -----

-- 
see shy jo


Message #9 received at 53811-forwarded@bugs.debian.org (full text, mbox):

From: "John E. Davis" <davis@space.mit.edu>
To: joey@kitenet.net
Cc: 53811-forwarded@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Sat, 1 Jan 2000 02:34:47 -0500
On Fri, 31 Dec 1999 21:38:58 -0800, Joey Hess <joey@kitenet.net> said:
>There is an error message that started appearing when using slrn version
>0.9.5.3-4 after year 2000 started in GMT.  My system hardware clock is
>set to UTC.

Please upgrade to the latest version.  I am unable to reproduce the
problem in the 0.9.6 versions.

Thanks,
--John


Message #10 received at 53811-forwarded@bugs.debian.org (full text, mbox):

From: "John E. Davis" <davis@space.mit.edu>
To: joey@kitenet.net
Cc: 53811-forwarded@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Sat, 1 Jan 2000 02:51:54 -0500
On Fri, 31 Dec 1999 21:38:58 -0800, Joey Hess <joey@kitenet.net> said:
>There is an error message that started appearing when using slrn version
>0.9.5.3-4 after year 2000 started in GMT.  My system hardware clock is

There have been at least 7 new slrn releases since 0.9.5.3.  The
changes.txt file entry for 0.9.5.4 shows:

Changes since 0.9.5.3
[...]
1. Tweak to generation of NEWGROUPS server command to make it y2k
   compliant.  (In my opinion, the protocol is weak in this area)

--John


Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#53811; Package slrn. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joey@kitenet.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #15 received at 53811@bugs.debian.org (full text, mbox):

From: Joey Hess <joey@kitenet.net>
To: "John E. Davis" <davis@space.mit.edu>
Cc: 53811@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Mon, 3 Jan 2000 11:52:53 -0800
John E. Davis wrote:
> There have been at least 7 new slrn releases since 0.9.5.3.

Yeah, the bug reporter was using a rather old version of the debian
distribution.

> The changes.txt file entry for 0.9.5.4 shows:
> 
> Changes since 0.9.5.3
> [...]
> 1. Tweak to generation of NEWGROUPS server command to make it y2k
>    compliant.  (In my opinion, the protocol is weak in this area)

Is there anywhere I can download 0.9.5.4, or better yet, download a diff
beterrn 0.9.5.3 and 0.9.5.4? I'd like to update the version of slrn in our
stable release with this patch, and would prefer to not update it to the
current version of slrn in the process..

If you have slrn in CVS somewhere, that'd be ideal.

-- 
see shy jo


Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#53811; Package slrn. Full text and rfc822 format available.

Acknowledgement sent to "John E. Davis" <davis@space.mit.edu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #20 received at 53811@bugs.debian.org (full text, mbox):

From: "John E. Davis" <davis@space.mit.edu>
To: joey@kitenet.net
Cc: 53811@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Mon, 3 Jan 2000 15:29:12 -0500
On Mon, 3 Jan 2000 11:52:53 -0800, Joey Hess <joey@kitenet.net> said:
>Is there anywhere I can download 0.9.5.4, or better yet, download a diff
>beterrn 0.9.5.3 and 0.9.5.4? I'd like to update the version of slrn in our

I think that you are better off getting 0.9.5.7, which was the last
stable version in the 0.9.5 series.  Actually, 0.9.6.2 is a better
choice because no bugs have been reported with it.

>If you have slrn in CVS somewhere, that'd be ideal.

I do not have it in CVS.  The code that I write for my job is in
``clearcase'' with lots of documentation but my free software code is
under no code management scheme.

I can give you any version in the 0.9.5 series.  Which do you want?

--John


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#53811; Package slrn. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 53811@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "John E. Davis" <davis@space.mit.edu>
Cc: 53811@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Mon, 3 Jan 2000 12:33:39 -0800
John E. Davis wrote:
> On Mon, 3 Jan 2000 11:52:53 -0800, Joey Hess <joey@kitenet.net> said:
> >Is there anywhere I can download 0.9.5.4, or better yet, download a diff
> >beterrn 0.9.5.3 and 0.9.5.4? I'd like to update the version of slrn in our
> 
> I think that you are better off getting 0.9.5.7, which was the last
> stable version in the 0.9.5 series.  Actually, 0.9.6.2 is a better
> choice because no bugs have been reported with it.
> 
> >If you have slrn in CVS somewhere, that'd be ideal.
> 
> I do not have it in CVS.  The code that I write for my job is in
> ``clearcase'' with lots of documentation but my free software code is
> under no code management scheme.
> 
> I can give you any version in the 0.9.5 series.  Which do you want?

0.9.5.4. 

I realize 0.9.6.2 is the latest and greatest and probably fixes lots of
bugs, but 0.9.5.3 has been working fine in our stable release for a year and
we're very conservative about adding major new versions to that tree (I'll
probably just backport the y2k fix to 0.9.5.3, actually). We'll be making a
new stable release soon anyway with 0.9.6.2 in it. Thanks.

-- 
see shy jo


Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#53811; Package slrn. Full text and rfc822 format available.

Acknowledgement sent to "John E. Davis" <davis@space.mit.edu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #30 received at 53811@bugs.debian.org (full text, mbox):

From: "John E. Davis" <davis@space.mit.edu>
To: joeyh@debian.org
Cc: 53811@bugs.debian.org
Subject: Re: FWD: Bug#53811: slrn minor y2k error message
Date: Mon, 3 Jan 2000 15:37:01 -0500
On Mon, 3 Jan 2000 12:33:39 -0800, Joey Hess <joeyh@debian.org> said:
>0.9.5.4. 

Try:

   http://space.mit.edu/%7Edavis/slrn0.9.5.4.tar.bz2

--John


Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jimrutledge@earthlink.net:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 53811-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 53811-close@bugs.debian.org
Subject: Bug#53811: fixed in slrn 0.9.6.2-8
Date: 6 Apr 2000 19:17:45 -0000
We believe that the bug you reported is fixed in the latest version of
slrn, which has been installed in the Debian FTP archive:
slrn_0.9.6.2-8_i386.deb
  to dists/woody/main/binary-i386/news/slrn_0.9.6.2-8.deb
  replacing slrn_0.9.6.2-7.deb
slrn_0.9.6.2-8.diff.gz
  to dists/woody/main/source/news/slrn_0.9.6.2-8.diff.gz
  replacing slrn_0.9.6.2-7.diff.gz
slrnpull_0.9.6.2-8_i386.deb
  to dists/woody/main/binary-i386/news/slrnpull_0.9.6.2-8.deb
  replacing slrnpull_0.9.6.2-7.deb
slrn_0.9.6.2-8.dsc
  to dists/woody/main/source/news/slrn_0.9.6.2-8.dsc
  replacing slrn_0.9.6.2-7.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 53811@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated slrn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Fri, 11 Feb 2000 14:33:38 -0800
Source: slrn
Binary: slrn slrnpull
Architecture: source i386
Version: 0.9.6.2-8
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Description: 
 slrn       - threaded news reader (fast for slow links)
 slrnpull   - pulls a small newsfeed from an NNTP server
Closes: 43570 53811 54137 55201 57298 59615
Changes: 
 slrn (0.9.6.2-8) unstable; urgency=low
 .
   * Whoops, my unstable version numbers got out of sync, and the changes below
     were never accepted in. Reupload with a better version number and a merge
     from the potato branch.
   * Slrnpull runs in background from ip-up.d script. Closes: #59615
   * Closes: #54137, weird .deb timestamp problem seems to be unreproducable.
   * Closes: #53811, fixed long ago
   * Documented how to turn off colors, Closes: #43570
   * Included slrnfuns.txt, Closes: #57298
   * Changed all blue on black text to brightblue on black, in the global
     slrn.rc. This is the smallest change I can think of to make to fix the
     issue that the color scheme is unreadable in an xterm. Closes: #55201
Files: 
 90b7a29415645bf58b08aafe6f9bdbd6 558 news optional slrn_0.9.6.2-8.dsc
 e7cd3eabdaa39fed5df7188eab754141 15262 news optional slrn_0.9.6.2-8.diff.gz
 037278b6cff3cc6d38867d5cd1223f69 195534 news optional slrn_0.9.6.2-8_i386.deb
 7f8dca4a24d7185c0e47bb1b23cc1c78 67038 news optional slrnpull_0.9.6.2-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.1 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE469dX2tp5zXiKP0wRAvMWAKCaAJwx/SMLVAmWM8jDi9hoY26JYgCgyh4H
z7En6c31uS91nZz+x2n0nuA=
=4+bO
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:20:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.